#							-*- Makefile -*-
# $Id: Makefile.inc.dist,v 1.12 2011/06/22 12:12:49 he Exp $
#

#
# PLEASE NOTE:
#
# Each variable setting can only have one variable substitution,
# and that variable must be previously defined.  This is to allow
# processing with mk-subst.awk and also due to my laziness.
#


# Top-level directory of traffic statistics tree
#
TOPDIR=/local/traffic
#
# Add more, space-separated, if needed
#
DATA_ROOTS="${TOPDIR}/data"
#
# Must be Perl v5
PERL=/usr/bin/perl
#
DESCFILE=${TOPDIR}/ndn.dsc
CGIPFX=/stat-q
WEBSRVR=stats.nordu.net
ISPNAME=NORDUnet
# List of connections/customers and their list of ports:
DESCFILE=/data/traffic/ndn.dsc
HTMLDIR=${TOPDIR}/html
# HTMLPFX has to be only one path component (due to cgi/ex-png.pl).
HTMLPFX=/stats
GNUPLOT=/usr/pkg/bin/gnuplot
GZCAT=/usr/bin/gzcat
GZIP=/usr/bin/gzip
GUNZIP=/usr/bin/gunzip
ZCAT=/usr/bin/zcat
PING=/sbin/ping
RAWSENDMAIL=/usr/sbin/sendmail -oi
SCOTTY=/usr/pkg/bin/scotty
SHA=/usr/pkg/bin/sha1
SNMPNETSTAT=/local/bin/snmpnetstat
TACHOST=server.nordu.net
TCLSH=/usr/pkg/bin/tclsh8.0
WISH=/usr/pkg/bin/wish
#
# Trail data files by this many seconds
TAILDELAY=600
#
NOTIFY=he
CHECKINTV=400
MAIL=/usr/bin/mail
#
# Cached data (png/plot files) not accessed
# in this number of days will be removed
CACHETTL=14
#
# When did we start collecting data?
DATASTART=20000714
#

# ------------------------------
# NO tweakables beyond this line
# ------------------------------

BINDIR=${TOPDIR}/bin
CGIDIR=${TOPDIR}/cgi
CONFDIR=${TOPDIR}/conf
DATADIR=${TOPDIR}/data
RRDDIR=${DATADIR}/conn-rrd
BACKUPDIR=${TOPDIR}/data/backup
DBDIR=${TOPDIR}/db
EMTDIR=${TOPDIR}/emt
LIBDIR=${TOPDIR}/lib
MAPDIR=${TOPDIR}/maps
MIBDIR=${TOPDIR}/mibs
PLOTDIR=${TOPDIR}/plot
REPDIR=${TOPDIR}/reports
ZINODIR=${TOPDIR}/zino
#
IMGDIR=${HTMLDIR}/imgs
MREPDIR=${REPDIR}/monthly
PICDIR=${HTMLDIR}/pics
PLOTDATADIR=${DATADIR}/plot
PLOTCACHE=${PLOTDATADIR}/plt-cache
TODAYDIR=${DATADIR}/today
WREPDIR=${REPDIR}/weekly
